
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【USACO 5.1.1】Fencing the Cows / 憋错料</title>

    <meta name="description" content="【USACO 5.1.1】Fencing the Cows Fencing the CowsHal Burch Farmer John wishes to build a fence to contain his cows, but he's a bit short on cash right. Any fence he builds must contain all of the favorite grazing spots for his cows. Given the location of these spots, determine the l">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">【USACO 5.1.1】Fencing the Cows</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>Fencing the Cows</strong><br /><strong>Hal Burch</strong></p>
<p>Farmer John wishes to build a fence to contain his cows, but he‘s a bit short on cash right. Any fence he builds must contain all of the favorite grazing spots for his cows. Given the location of these spots, determine the length of the shortest fence which encloses them.</p>
<h3>PROGRAM NAME: fc</h3>
<h3>INPUT FORMAT</h3>
<p>The first line of the input file contains one integer, N. N (0 &lt;= N &lt;= 10,000) is the number of grazing spots that Farmer john wishes to enclose. The next N line consists of two real numbers, Xi and Yi, corresponding to the location of the grazing spots in the plane (-1,000,000 &lt;= Xi,Yi &lt;= 1,000,000). The numbers will be in decimal format.</p>
<h3>SAMPLE INPUT (file fc.in)</h3>
<pre>4
4 8
4 12
5 9.3
7 8
</pre>
<h3>OUTPUT FORMAT</h3>
<p>The output should consists of one real number, the length of fence required. The output should be accurate to two decimal places.</p>
<h3>SAMPLE OUTPUT (file fc.out)</h3>
<pre>12.00

裸的凸包题目。不过我没有用Gift wraping.我用的是在《算法指南》上的Andrew.效果应该说差不多,相对来说我觉得Andrew好写.</pre>

<pre>/*
TASK:fc
LANG:C++
*/

#include &lt;cstdio&gt;
#include &lt;cstring&gt;
#include &lt;algorithm&gt;
#include &lt;cmath&gt;

using namespace std;

const int MAXN = 10005;
const double EPS = 1e-10;

struct Vertex
{
    double x, y;

    Vertex() {
    }

    Vertex(double x0, double y0) : x(x0), y(y0) {
    }

    bool operator &lt; (const Vertex &amp;A) const
    {
        return x &lt; A.x || (abs(x - A.x) &lt;= EPS &amp;&amp; y &lt; A.y);
    }

    Vertex operator - (const Vertex &amp;A)
    {
        return Vertex(x - A.x, y - A.y);
    }

}v[MAXN], ch[MAXN];

double Cross(Vertex A, Vertex B)
{
    return A.x * B.y - A.y * B.x;
}

double sqr(double x)
{
    return x * x;
}

double Distance(Vertex A, Vertex B)
{
    return sqrt(sqr(A.x - B.x) + sqr(A.y - B.y));
}

int n;

int main()
{
    freopen("fc.in", "r", stdin);
    freopen("fc.out", "w", stdout);
    scanf("%d", &amp;n);
    for (int i = 0; i &lt; n; ++i)
        scanf("%lf%lf", &amp;v[i].x, &amp;v[i].y);
    sort(v, v + n);
    int m = 0;
    for (int i = 0; i &lt; n; ++i)
    {
        while (m &gt; 1 &amp;&amp; Cross(ch[m - 1] - ch[m - 2], v[i] - ch[m - 2]) &lt;= 0) m--;
        ch[m++] = v[i];
    }
    int k = m;
    for (int i = n - 2; i &gt;= 0; --i)
    {
        while (m &gt; k &amp;&amp; Cross(ch[m - 1] - ch[m - 2], v[i] - ch[m - 2]) &lt;= 0) m--;
        ch[m++] = v[i];
    }
    double ans = 0;
    for (int i = 0; i &lt; m - 1; ++i)
        ans += Distance(ch[i], ch[i + 1]);
    printf("%.2lf\n", ans);
    return 0;
}</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 16:23:19 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>【USACO 5.1.1】Fencing the Cows的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MBjvyM.html" rel="bookmark">【USACO 1&period;3&period;4】牛式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[題目描述 ] 下面是一个乘法竖式,如果用我们给定的那n个数字来取代*,可以使式子成立的话,我们就叫这个式子牛式. * * * x * * ---------- * * * * * * ---------- * * * * 数字只能取代*,当然第一位不能为0,况且给定的数字里不包括0. 注意一下在美国的学校中教的&quot;部分乘积&quot;,第一部分乘积是第二个数的个位和第一个数的积,第二部分乘积是第二个数的十位和第一个数的乘积. 写一个程序找出所有的牛式. [格式] INPUT FORMAT: (f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVgoo20.html" rel="bookmark">【USACO 1&period;2&period;2】方块转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[问题描述] 一块N x N(1&lt;=N&lt;=10)正方形的黑白瓦片的图案要被转换成新的正方形图案.写一个程序来找出将原始图案按照以下列转换方法转换成新图案的最小方式: 1:转90度:图案按顺时针转90度. 2:转180度:图案按顺时针转180度. 3:转270度:图案按顺时针转270度. 4:反射:图案在水平方向翻转(以中央铅垂线为中心形成原图案的镜像). 5:组合:图案在水平方向翻转,然后再按照1到3之间的一种再次转换. 6:不改变:原图案不改变. 7:无效转换:无法用以上方法得到新图案. 如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGan7A3.html" rel="bookmark">【USACO 2&period;3&period;4】货币系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[描述] 母牛们不但创建了它们自己的政府而且选择了建立了自己的货币系统.由于它们特殊的思考方式,它们对货币的数值感到好奇. 传统地,一个货币系统是由1,5,10,20 或 25,50, 和 100的单位面值组成的. 母牛想知道有多少种不同的方法来用货币系统中的货币来构造一个确定的数值. 举例来说, 使用一个货币系统 {1,2,5,10,...}产生 18单位面值的一些可能的方法是:18x1, 9x2, 8x2+2x1, 3x5+2+1,等等其它. 写一个程序来计算有多少种方法用给定的货币系统来构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JY2RB3.html" rel="bookmark">【USACO 2&period;3&period;3】零数列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目描述] 请考虑一个由1到N(N=3, 4, 5 ... 9)的数字组成的递增数列:1 2 3 ... N. 现在请在数列中插入“+”表示加,或者“-”表示减,“ ”表示空白(例如1-2 3就等于1-23),来将每一对数字组合在一起(请不要在第一个数字前插入符号). 计算该表达式的结果并判断其值是否为0. 请你写一个程序找出所有产生和为零的长度为N的数列. [格式] PROGRAM NAME: zerosum INPUT FORMAT 单独的一行表示整数N (3 &lt;= N &lt;= 9). O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEvNOX0.html" rel="bookmark">【USACO 2&period;3&period;5】控制公司</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目描述] 有些公司是其他公司的部分拥有者,因为他们获得了其他公司发行的股票的一部分.例如,福特公司拥有马自达公司12%的股票.据说,如果至少满足了以下三个条件之一,公司A就可以控制公司B了: 公司A = 公司B. 公司A拥有大于50%的公司B的股票. 公司A控制K(K &gt;= 1)个公司,记为C1, ..., CK,每个公司Ci拥有xi%的公司B的股票,并且x1+ .... + xK &gt; 50%. 给你一个表,每行包括三个数(i,j,p):表明公司i享有公司j的p%的股票.计算所有的数对(h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jnaEe0.html" rel="bookmark">【USACO 1&period;4&period;2】时钟</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目描述] 考虑将如此安排在一个 3 x 3 行列中的九个时钟: |-------| |-------| |-------| | | | | | | | |---O | |---O | | O | | | | | | | |-------| |-------| |-------| A B C |-------| |-------| |-------| | | | | | | | O | | O | | O | | | | | | | | | | |-------| |-------| |---			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPWBlP4.html" rel="bookmark">【USACO 1&period;4&period;1】铺放矩形块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[描述] 给定4个矩形块,找出一个最小的封闭矩形将这4个矩形块放入,但不得相互重叠.所谓最小矩形指该矩形面积最小. 所有4个矩形块的边都与封闭矩形的边相平行,图1示出了铺放4个矩形块的6种方案.这6种方案是仅可能的基本铺放方案.因为其它方案能由基本方案通过旋转和镜像反射得到. 可能存在满足条件且有着同样面积的各种不同的封闭矩形,你应该输出所有这些封闭矩形的边长. (分类注解:这里的分类依据可以视为是不同的面积计算公式.) [格式] INPUT FORMAT: (file packrec.in)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JYlLA3.html" rel="bookmark">【USACO 1&period;2&period;1】挤牛奶</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[问题描述] 三个农民每天清晨5点起床,然后去牛棚给3头牛挤奶.第一个农民在300时刻(从5点开始计时,秒为单位)给他的牛挤奶,一直到1000时刻.第二个农民在700时刻开始,在 1200时刻结束.第三个农民在1500时刻开始2100时刻结束.期间最长的至少有一个农民在挤奶的连续时间为900秒(从300时刻到1200时刻),而最长的无人挤奶的连续时间(从挤奶开始一直到挤奶结束)为300时刻(从1200时刻到1500时刻). 你的任务是编一个程序,读入一个有N个农民(1 &lt;= N &lt;= 5000			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyWvAa3.html" rel="bookmark">【USACO 3&period;1&period;5】联系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[描述] 奶牛们开始对用射电望远镜扫描牧场外的宇宙感兴趣.最近,他们注意到了一种非常奇怪的脉冲调制微波从星系的中央发射出来.他们希望知道电波是否是被某些地外生命发射出来的,还是仅仅是普通的的星星发出的. 帮助奶牛们用一个能够分析他们在文件中记下的记录的工具来找到真相.他们在寻找长度在A到B之间(含)在每天的数据文件中重复得最多的比特序列 (1 &lt;= A &lt;= B &lt;= 12).他们在找那些重复得最多的比特序列.一个输入限制告诉你应输出多少频率最多的序列. 符合的序列可能会重叠,并且至少出			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0bgWe3.html" rel="bookmark" class="title">Ios 应用的启动图片该怎么做</a>
					<div>
						从App Store创建伊始,苹果就一直在推广一个观念:iOS app上架后,它的应用的启动图片(你打开应用第一眼看到的)应该仅仅是一个中间屏幕,仅此而已.引用苹果的人机界面指南如下: &quot;一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MEWXQ3.html" rel="bookmark" class="title">JDK性能监控工具</a>
					<div>
						JDK命令行工具 jps:JVM Process Status Tool,显示指定系统内所有的HotSpot虚拟机进程,可以通过RMI协议查询开启了RMI服务的远程虚拟机进程状态 jps [optio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q0xj7j4.html" rel="bookmark" class="title">hihocoder &lbrack;Offer收割&rsqb;编程练习赛14&Tab;小Hi和小Ho的礼物</a>
					<div>
						题目1 : 小Hi和小Ho的礼物 时间限制:10000ms 单点时限:1000ms 内存限制:256MB 描述 某人有N袋金币,其中第i袋内金币的数量是Ai.现在他决定选出2袋金币送给小Hi,再选2袋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8vxy3.html" rel="bookmark" class="title">OOP三个基本特征：封装、继承、多态</a>
					<div>
						面向对象的三个基本特征是:封装.继承.多态. 封装 封装最好理解了.封装是面向对象的特征之一,是对象和类概念的主要特性. 封装,也就是把客观事物封装成抽象的类,并且类可以把自己的数据和方法只让可信的类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bnwEp0.html" rel="bookmark" class="title">MAC OSX 下安装 CTAGS</a>
					<div>
						由于本子跟风换了骚货MBP,因而开发要迁移到MAC OSX下,mac os 下的ctags不一样,所以需要自己编译一个 Lion内置了ctags,但是不我所需要,因此得在网上去弄,最新的版本是 5.8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVYRnd4.html" rel="bookmark" class="title">友谊是灵魂的结合，这个结合是可以离异的</a>
					<div>
						http://www.jiaoyou8.com/friends_diary/%ce%ef%d3%ef%ce%de%d3%ef/0_0_0/view_0014352861_no_0_0.html htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBRRaZM.html" rel="bookmark" class="title">JS实现一个基本的打地鼠游戏</a>
					<div>
						直入正题,用JS实现一个简单的打地鼠游戏 因为功能比较简单就直接裸奔JS了,先看看效果图,或者 在线玩玩 吧 如果点击颜色比较深的那个(俗称坏老鼠),将扣分50:如果点击颜色比较浅的那个(俗称好老鼠) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7GqO4.html" rel="bookmark" class="title">如果mktime慢？那就使用自定义函数吧！</a>
					<div>
						参考网址:https://gmbabar.wordpress.com/2010/12/01/mktime-slow-use-custom-function/ 最近我正在做以ASCII(C字符串)格式表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPW2Qv4.html" rel="bookmark" class="title">【bzoj1415】&lbrack;Noi2005&rsqb;聪聪和可可  期望记忆化搜索</a>
					<div>
						题目描述 输入 数据的第1行为两个整数N和E,以空格分隔,分别表示森林中的景点数和连接相邻景点的路的条数. 第2行包含两个整数C和M,以空格分隔,分别表示初始时聪聪和可可所在的景点的编号. 接下来E行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KBkEmM.html" rel="bookmark" class="title">Material Design 之 TabLayout 使用</a>
					<div>
						记录 (非常详细的 TabLayout用法), 学习 http://www.jianshu.com/p/13f334eb16ce					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgNoZr4.html" rel="bookmark" class="title">可以替代alert 的漂亮的Js弹框</a>
					<div>
						1 基本弹框 2确认框 3又一种确认框 4带返回的弹框 5带返回的探矿 6 6 一切尽在 http://t4t5.github.io/sweetalert/					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41o6qg0.html" rel="bookmark" class="title">JFS与JFS2的区别</a>
					<div>
						请问一下JFS与JFS2的区别? 支持最大的文件? 普通JFS:2G:支持大文件JFS:64G:JFS2:1T 支持最大的文件系统?普通JFS,支持大文件JFS,JFS2分别是多大呢? The max ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49W26A0.html" rel="bookmark" class="title">Asp&period;Net MVC5入门学习系列⑥</a>
					<div>
						接着上次的篇幅,我们这篇手动来写一个查询的流程代码! 搜索/查询 流程功能的实现 那现在要做搜索(查询)功能我们第一步应该做什么呢!第一次是不是我们应该去Controller(控制器)里去搞一个搜索( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vzYQo3.html" rel="bookmark" class="title">C&plus;&plus;资源文件初使用&lbrack;C&plus;&plus;菜鸟&rsqb;</a>
					<div>
						起因 项目中需要可能变动的一些映射关系,而且是封装成独立的库——一个dll文件. 思路:把excel文件导出成.csv文件,当作资源加载到项目里,读取后拿到全部的字符,再分割处理. 添加资源 VS20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAvJz4.html" rel="bookmark" class="title">blade and soul zone overview</a>
					<div>
						The world of Blade and Soul, is a vast extension of land containing two continents (the Southern Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6lEDy3.html" rel="bookmark" class="title">Unity3D 4&period;6 新的UI系统啊</a>
					<div>
						在Unity3D 4.6版本中,终于增加了新的UI系统.虽然从功能,效果等方面来讲,跟NGUI还有一定的差距,但NGUI毕竟是收费插件,对于游戏商用来说有一定的制约. 下面我们来看看,Unity3D  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBWXKE0.html" rel="bookmark" class="title">CSS实现打字效果</a>
					<div>
						.print{ width:250px; white-space:nowrap; overflow:hidden; -webkit-animation: dy 3s steps(60, end) in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pNW6K0.html" rel="bookmark" class="title">Ａngular JS 自定义服务</a>
					<div>
						Angular JS 自定义服务  定义服务的方式有如下几种: 1 变量方式(value Recipe)     2 工厂方式(factory Recipe)     3 服务方式(service R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49v7EAM.html" rel="bookmark" class="title">jquery飘动的广告窗</a>
					<div>
						看到网页中有一些广告窗口移动,自己就动手实现了一下.毕竟编程动手很重要 实现思路: 1,广告窗口移动就要开定时器,同时往窗口的x轴方向和y轴方向移动.当移动到可视区域范围边缘,又向 反方向移动.所以要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MooZqwM.html" rel="bookmark" class="title">CMA-ES 算法</a>
					<div>
						CMA-ES 算法 一.算法介绍 CMA-ES是Covariance Matrix Adaptation Evolutionary Strategies的缩写,中文名称是协方差矩阵自适应进化策略,主要 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
